## attach

## Syntax:
`attach {id} to {graphic element}`

## Examples:
``attach `big-circle` to Ellipse1` ``  
``attach `container` to Container` ``

## Description:
Attaches an **_EasyCoder_** graphic variable ([ellipse](ellipse.md), [rectangle](rectangle.md), [text](text.md), [image](image.md) etc.) to the rendered graphic item with the given id.

When a graphic specification is rendered, every item in the structure is added to 1) a list of items in the order they were rendered (the z-order) and 2) a dictionary of items indexed by their ids.


Next: [center](center.md)  
Prev: [add](add.md)

[Back](../../README.md)
